package | phing.tasks.system

### Methods

## validate parameter and execute the format.

    execute(\TstampTask $tstamp)

### Parameters

#### $tstamp

`\TstampTask`

reference to task

## The locale used to create date/time string.

    setLocale(\locale $locale)

### Parameters

#### $locale

`\locale`

## The date/time pattern to be used.

    setPattern(\pattern $pattern)

The values are as defined by the PHP strftime() function.

### Parameters

#### $pattern

`\pattern`

## The property to receive the date/time string in the given pattern

    setProperty(\propertyName $propertyName)

### Parameters

#### $propertyName

`\propertyName`

the name of the property.

### Properties

##

    $locale

##

    $pattern

##

    $propertyName